Source: yafc
Version: 1.3.7-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

yafc fails to build from source in unstable/amd64:

  [..]

  dh_testdir
  dh_testroot
  dh_prep
  dh_testdir
  dh_testroot
  dh_install
  dh_installdocs
  dh_installchangelogs
  dh_compress
  dh_fixperms
  dh_installdeb
  dh_gencontrol
  dh_md5sums
  dh_builddeb
  dpkg-deb: building package 'yafc-build-deps' in 
'../yafc-build-deps_1.3.7-1_all.deb'.
  
  The package has been created.
  Attention, the package has been created in the current directory,
  not in ".." as indicated by the message above!
  Selecting previously unselected package yafc-build-deps.
  (Reading database ... 22985 files and directories currently installed.)
  Preparing to unpack yafc-build-deps_1.3.7-1_all.deb ...
  Unpacking yafc-build-deps (1.3.7-1) ...
  Reading package lists...
  Building dependency tree...
  Reading state information...
  Correcting dependencies... Done
  The following additional packages will be installed:
    autoconf-archive comerr-dev krb5-multidev libbsd-dev libedit-dev libedit2
    libelf1 libglib2.0-bin libglib2.0-data libglib2.0-dev libgssrpc4
    libkadm5clnt-mit9 libkadm5srv-mit9 libkdb5-8 libkrb5-dev libpcre16-3
    libpcre3-dev libpcre32-3 libpcrecpp0v5 libssh-4 libssh-dev libssl-dev
    libtext-unidecode-perl libtinfo-dev libxml-libxml-perl
    libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-perl pkg-config
    tex-common texinfo ucf zlib1g-dev
  Suggested packages:
    doc-base krb5-doc libglib2.0-doc krb5-user libssh-doc texlive-base
    texlive-latex-base texlive-generic-recommended texinfo-doc-nonfree
  Recommended packages:
    libssl-doc libxml-sax-expat-perl
  The following NEW packages will be installed:
    autoconf-archive comerr-dev krb5-multidev libbsd-dev libedit-dev libedit2
    libelf1 libglib2.0-bin libglib2.0-data libglib2.0-dev libgssrpc4
    libkadm5clnt-mit9 libkadm5srv-mit9 libkdb5-8 libkrb5-dev libpcre16-3
    libpcre3-dev libpcre32-3 libpcrecpp0v5 libssh-4 libssh-dev libssl-dev
    libtext-unidecode-perl libtinfo-dev libxml-libxml-perl
    libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-perl pkg-config
    tex-common texinfo ucf zlib1g-dev
  0 upgraded, 33 newly installed, 0 to remove and 0 not upgraded.
  1 not fully installed or removed.
  Need to get 14.7 MB of archives.
  After this operation, 56.7 MB of additional disk space will be used.
  Get:1 http://httpredir.debian.org/debian sid/main amd64 autoconf-archive all 
20150925-1 [688 kB]
  Get:2 http://httpredir.debian.org/debian sid/main amd64 
libtext-unidecode-perl all 1.27-1 [103 kB]
  Get:3 http://httpredir.debian.org/debian sid/main amd64 
libxml-namespacesupport-perl all 1.11-1 [14.8 kB]
  Get:4 http://httpredir.debian.org/debian sid/main amd64 libxml-sax-base-perl 
all 1.07-1 [23.1 kB]
  Get:5 http://httpredir.debian.org/debian sid/main amd64 ucf all 3.0036 [70.2 
kB]
  Get:6 http://httpredir.debian.org/debian sid/main amd64 libxml-sax-perl all 
0.99+dfsg-2 [68.3 kB]
  Get:7 http://httpredir.debian.org/debian sid/main amd64 libxml-libxml-perl 
amd64 2.0123+dfsg-1+b1 [340 kB]
  Get:8 http://httpredir.debian.org/debian sid/main amd64 tex-common all 6.05 
[564 kB]
  Get:9 http://httpredir.debian.org/debian sid/main amd64 texinfo amd64 
6.1.0.dfsg.1-5 [1263 kB]
  Get:10 http://httpredir.debian.org/debian sid/main amd64 libbsd-dev amd64 
0.8.2-1 [177 kB]
  Get:11 http://httpredir.debian.org/debian sid/main amd64 libedit2 amd64 
3.1-20150325-1+b1 [85.2 kB]
  Get:12 http://httpredir.debian.org/debian sid/main amd64 libtinfo-dev amd64 
6.0+20160319-1 [77.6 kB]
  Get:13 http://httpredir.debian.org/debian sid/main amd64 libedit-dev amd64 
3.1-20150325-1+b1 [101 kB]
  Get:14 http://httpredir.debian.org/debian sid/main amd64 libelf1 amd64 
0.165-3 [169 kB]
  Get:15 http://httpredir.debian.org/debian sid/main amd64 libglib2.0-data all 
2.48.0-1 [2494 kB]
  Get:16 http://httpredir.debian.org/debian sid/main amd64 libglib2.0-bin amd64 
2.48.0-1 [1618 kB]
  Get:17 http://httpredir.debian.org/debian sid/main amd64 libpcre16-3 amd64 
2:8.38-3.1 [252 kB]
  Get:18 http://httpredir.debian.org/debian sid/main amd64 libpcre32-3 amd64 
2:8.38-3.1 [244 kB]
  Get:19 http://httpredir.debian.org/debian sid/main amd64 libpcrecpp0v5 amd64 
2:8.38-3.1 [150 kB]
  Get:20 http://httpredir.debian.org/debian sid/main amd64 libpcre3-dev amd64 
2:8.38-3.1 [633 kB]
  Get:21 http://httpredir.debian.org/debian sid/main amd64 pkg-config amd64 
0.29-3 [62.3 kB]
  Get:22 http://httpredir.debian.org/debian sid/main amd64 zlib1g-dev amd64 
1:1.2.8.dfsg-2+b1 [206 kB]
  Get:23 http://httpredir.debian.org/debian sid/main amd64 libglib2.0-dev amd64 
2.48.0-1 [2956 kB]
  Get:24 http://httpredir.debian.org/debian sid/main amd64 libgssrpc4 amd64 
1.13.2+dfsg-5 [87.4 kB]
  Get:25 http://httpredir.debian.org/debian sid/main amd64 libkdb5-8 amd64 
1.13.2+dfsg-5 [69.7 kB]
  Get:26 http://httpredir.debian.org/debian sid/main amd64 libkadm5srv-mit9 
amd64 1.13.2+dfsg-5 [84.1 kB]
  Get:27 http://httpredir.debian.org/debian sid/main amd64 libkadm5clnt-mit9 
amd64 1.13.2+dfsg-5 [69.3 kB]
  Get:28 http://httpredir.debian.org/debian sid/main amd64 comerr-dev amd64 
2.1-1.43~WIP.2016.03.15-2 [38.5 kB]
  Get:29 http://httpredir.debian.org/debian sid/main amd64 krb5-multidev amd64 
1.13.2+dfsg-5 [146 kB]
  Get:30 http://httpredir.debian.org/debian sid/main amd64 libkrb5-dev amd64 
1.13.2+dfsg-5 [43.9 kB]
  Get:31 http://httpredir.debian.org/debian sid/main amd64 libssh-4 amd64 
0.6.3-4.3 [128 kB]
  Get:32 http://httpredir.debian.org/debian sid/main amd64 libssl-dev amd64 
1.0.2g-1 [1541 kB]
  Get:33 http://httpredir.debian.org/debian sid/main amd64 libssh-dev amd64 
0.6.3-4.3 [161 kB]
  Fetched 14.7 MB in 0s (105 MB/s)
  Selecting previously unselected package autoconf-archive.
  (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 22989 files and directories currently installed.)
  Preparing to unpack .../autoconf-archive_20150925-1_all.deb ...
  Unpacking autoconf-archive (20150925-1) ...
  Selecting previously unselected package libtext-unidecode-perl.
  Preparing to unpack .../libtext-unidecode-perl_1.27-1_all.deb ...
  Unpacking libtext-unidecode-perl (1.27-1) ...
  Selecting previously unselected package libxml-namespacesupport-perl.
  Preparing to unpack .../libxml-namespacesupport-perl_1.11-1_all.deb ...
  Unpacking libxml-namespacesupport-perl (1.11-1) ...
  Selecting previously unselected package libxml-sax-base-perl.
  Preparing to unpack .../libxml-sax-base-perl_1.07-1_all.deb ...
  Unpacking libxml-sax-base-perl (1.07-1) ...
  Selecting previously unselected package ucf.
  Preparing to unpack .../archives/ucf_3.0036_all.deb ...
  Moving old data out of the way
  Unpacking ucf (3.0036) ...
  Selecting previously unselected package libxml-sax-perl.
  Preparing to unpack .../libxml-sax-perl_0.99+dfsg-2_all.deb ...
  Unpacking libxml-sax-perl (0.99+dfsg-2) ...
  Selecting previously unselected package libxml-libxml-perl.
  Preparing to unpack .../libxml-libxml-perl_2.0123+dfsg-1+b1_amd64.deb ...
  Unpacking libxml-libxml-perl (2.0123+dfsg-1+b1) ...
  Selecting previously unselected package tex-common.
  Preparing to unpack .../tex-common_6.05_all.deb ...
  Unpacking tex-common (6.05) ...
  Selecting previously unselected package texinfo.
  Preparing to unpack .../texinfo_6.1.0.dfsg.1-5_amd64.deb ...
  Unpacking texinfo (6.1.0.dfsg.1-5) ...
  Selecting previously unselected package libbsd-dev:amd64.
  Preparing to unpack .../libbsd-dev_0.8.2-1_amd64.deb ...
  Unpacking libbsd-dev:amd64 (0.8.2-1) ...
  Selecting previously unselected package libedit2:amd64.
  Preparing to unpack .../libedit2_3.1-20150325-1+b1_amd64.deb ...
  Unpacking libedit2:amd64 (3.1-20150325-1+b1) ...
  Selecting previously unselected package libtinfo-dev:amd64.
  Preparing to unpack .../libtinfo-dev_6.0+20160319-1_amd64.deb ...
  Unpacking libtinfo-dev:amd64 (6.0+20160319-1) ...
  Selecting previously unselected package libedit-dev:amd64.
  Preparing to unpack .../libedit-dev_3.1-20150325-1+b1_amd64.deb ...
  Unpacking libedit-dev:amd64 (3.1-20150325-1+b1) ...
  Selecting previously unselected package libelf1:amd64.
  Preparing to unpack .../libelf1_0.165-3_amd64.deb ...
  Unpacking libelf1:amd64 (0.165-3) ...
  Selecting previously unselected package libglib2.0-data.
  Preparing to unpack .../libglib2.0-data_2.48.0-1_all.deb ...
  Unpacking libglib2.0-data (2.48.0-1) ...
  Selecting previously unselected package libglib2.0-bin.
  Preparing to unpack .../libglib2.0-bin_2.48.0-1_amd64.deb ...
  Unpacking libglib2.0-bin (2.48.0-1) ...
  Selecting previously unselected package libpcre16-3:amd64.
  Preparing to unpack .../libpcre16-3_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcre16-3:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package libpcre32-3:amd64.
  Preparing to unpack .../libpcre32-3_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcre32-3:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package libpcrecpp0v5:amd64.
  Preparing to unpack .../libpcrecpp0v5_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcrecpp0v5:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package libpcre3-dev:amd64.
  Preparing to unpack .../libpcre3-dev_2%3a8.38-3.1_amd64.deb ...
  Unpacking libpcre3-dev:amd64 (2:8.38-3.1) ...
  Selecting previously unselected package pkg-config.
  Preparing to unpack .../pkg-config_0.29-3_amd64.deb ...
  Unpacking pkg-config (0.29-3) ...
  Selecting previously unselected package zlib1g-dev:amd64.
  Preparing to unpack .../zlib1g-dev_1%3a1.2.8.dfsg-2+b1_amd64.deb ...
  Unpacking zlib1g-dev:amd64 (1:1.2.8.dfsg-2+b1) ...
  Selecting previously unselected package libglib2.0-dev.
  Preparing to unpack .../libglib2.0-dev_2.48.0-1_amd64.deb ...
  Unpacking libglib2.0-dev (2.48.0-1) ...
  Selecting previously unselected package libgssrpc4:amd64.
  Preparing to unpack .../libgssrpc4_1.13.2+dfsg-5_amd64.deb ...
  Unpacking libgssrpc4:amd64 (1.13.2+dfsg-5) ...
  Selecting previously unselected package libkdb5-8:amd64.
  Preparing to unpack .../libkdb5-8_1.13.2+dfsg-5_amd64.deb ...
  Unpacking libkdb5-8:amd64 (1.13.2+dfsg-5) ...
  Selecting previously unselected package libkadm5srv-mit9:amd64.
  Preparing to unpack .../libkadm5srv-mit9_1.13.2+dfsg-5_amd64.deb ...
  Unpacking libkadm5srv-mit9:amd64 (1.13.2+dfsg-5) ...
  Selecting previously unselected package libkadm5clnt-mit9:amd64.
  Preparing to unpack .../libkadm5clnt-mit9_1.13.2+dfsg-5_amd64.deb ...
  Unpacking libkadm5clnt-mit9:amd64 (1.13.2+dfsg-5) ...
  Selecting previously unselected package comerr-dev.
  Preparing to unpack .../comerr-dev_2.1-1.43~WIP.2016.03.15-2_amd64.deb ...
  Unpacking comerr-dev (2.1-1.43~WIP.2016.03.15-2) ...
  Selecting previously unselected package krb5-multidev.
  Preparing to unpack .../krb5-multidev_1.13.2+dfsg-5_amd64.deb ...
  Unpacking krb5-multidev (1.13.2+dfsg-5) ...
  Selecting previously unselected package libkrb5-dev.
  Preparing to unpack .../libkrb5-dev_1.13.2+dfsg-5_amd64.deb ...
  Unpacking libkrb5-dev (1.13.2+dfsg-5) ...
  Selecting previously unselected package libssh-4:amd64.
  Preparing to unpack .../libssh-4_0.6.3-4.3_amd64.deb ...
  Unpacking libssh-4:amd64 (0.6.3-4.3) ...
  Selecting previously unselected package libssl-dev:amd64.
  Preparing to unpack .../libssl-dev_1.0.2g-1_amd64.deb ...
  Unpacking libssl-dev:amd64 (1.0.2g-1) ...
  Selecting previously unselected package libssh-dev.
  Preparing to unpack .../libssh-dev_0.6.3-4.3_amd64.deb ...
  Unpacking libssh-dev (0.6.3-4.3) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for libc-bin (2.22-5) ...
  Processing triggers for libglib2.0-0:amd64 (2.48.0-1) ...
  No schema files found: doing nothing.
  Setting up autoconf-archive (20150925-1) ...
  Setting up libtext-unidecode-perl (1.27-1) ...
  Setting up libxml-namespacesupport-perl (1.11-1) ...
  Setting up libxml-sax-base-perl (1.07-1) ...
  Setting up ucf (3.0036) ...
  Setting up libxml-sax-perl (0.99+dfsg-2) ...
  update-perl-sax-parsers: Registering Perl SAX parser XML::SAX::PurePerl with 
priority 10...
  update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
  
  Creating config file /etc/perl/XML/SAX/ParserDetails.ini with new version
  Setting up libxml-libxml-perl (2.0123+dfsg-1+b1) ...
  update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX::Parser 
with priority 50...
  update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX with 
priority 50...
  update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
  Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
  Setting up tex-common (6.05) ...
  update-language: texlive-base not installed and configured, doing nothing!
  Setting up texinfo (6.1.0.dfsg.1-5) ...
  Setting up libbsd-dev:amd64 (0.8.2-1) ...
  Setting up libedit2:amd64 (3.1-20150325-1+b1) ...
  Setting up libtinfo-dev:amd64 (6.0+20160319-1) ...
  Setting up libedit-dev:amd64 (3.1-20150325-1+b1) ...
  Setting up libelf1:amd64 (0.165-3) ...
  Setting up libglib2.0-data (2.48.0-1) ...
  Setting up libglib2.0-bin (2.48.0-1) ...
  Setting up libpcre16-3:amd64 (2:8.38-3.1) ...
  Setting up libpcre32-3:amd64 (2:8.38-3.1) ...
  Setting up libpcrecpp0v5:amd64 (2:8.38-3.1) ...
  Setting up libpcre3-dev:amd64 (2:8.38-3.1) ...
  Setting up pkg-config (0.29-3) ...
  Setting up zlib1g-dev:amd64 (1:1.2.8.dfsg-2+b1) ...
  Setting up libglib2.0-dev (2.48.0-1) ...
  Setting up libgssrpc4:amd64 (1.13.2+dfsg-5) ...
  Setting up libkdb5-8:amd64 (1.13.2+dfsg-5) ...
  Setting up libkadm5srv-mit9:amd64 (1.13.2+dfsg-5) ...
  Setting up libkadm5clnt-mit9:amd64 (1.13.2+dfsg-5) ...
  Setting up comerr-dev (2.1-1.43~WIP.2016.03.15-2) ...
  Setting up krb5-multidev (1.13.2+dfsg-5) ...
  Setting up libkrb5-dev (1.13.2+dfsg-5) ...
  Setting up libssh-4:amd64 (0.6.3-4.3) ...
  Setting up libssl-dev:amd64 (1.0.2g-1) ...
  Setting up libssh-dev (0.6.3-4.3) ...
  Setting up yafc-build-deps (1.3.7-1) ...
  Processing triggers for libc-bin (2.22-5) ...
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: source package yafc
  dpkg-buildpackage: source version 1.3.7-1
  dpkg-buildpackage: source distribution unstable
  dpkg-buildpackage: source changed by Sebastian Ramacher <sramac...@debian.org>
   dpkg-source --before-build yafc-1.3.7
  dpkg-buildpackage: host architecture amd64
   fakeroot debian/rules clean
  dh clean --with autoreconf
     dh_testdir
     dh_auto_clean
     dh_autoreconf_clean
     dh_clean
   debian/rules build
  dh build --with autoreconf
     dh_testdir
     dh_update_autotools_config
     dh_autoreconf
  m4/glib-gettext.m4:39: error: m4_copy: won't overwrite defined macro: 
glib_DEFUN
  m4/glib-gettext.m4:39: the top level
  autom4te: /usr/bin/m4 failed with exit status: 1
  aclocal: error: echo failed with exit status: 1
  autoreconf: aclocal failed with exit status: 1
  dh_autoreconf: autoreconf -f -i returned exit code 1
  debian/rules:7: recipe for target 'build' failed
  make: *** [build] Error 2

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: yafc.1.3.7-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to